# 1.7.2:
 * Reduced the size of texture atlases from 4096x4096 to 1024x1024 thanks to Captain Pretzel. This should make mods load faster.

# 1.7.1:
 * Added `GunBehaviour.PostProcessBeamTick()`.
 * Replaced the `GunBehaviour.PostProcessBeamChanceTick()` patch with a transpiler.

# 1.7.0:
 * Made certain gun setup methods more optimized thanks to Captain Pretzel.
 * Added `GunBehaviour.ModifyClipCount()`.
 * Fixed some base game guns being broken because of `GunBehaviour` overriding the return values of some `Func`s, even if the methods for them weren't overriden. Now `GunBehaviour` only subscribes to `Func`s if the methods are overriden.
 * Fixed `GunBehaviour.OnGunThrown()`, `GunBehaviour.OnGunThrownPlayer()`, `GunBehaviour.OnGunThrownEnemy()`, `GunBehaviour.PostProcessBeam()` and `GunBehaviour.PostProcessBeamChanceTick()` only being called for the last `GunBehaviour` if multiple are applied to the same gun.

# 1.6.2:
 * Changed how `ETGMod.FolderPath` works.

# 1.6.1:
 * Added nullchecks to `ETGMod.Databases.Items.AddSpecific()`.
 * Added a new version of `ETGMod.Databases.Items.AddSpecific()` that has an option to not make the `EncounterDatabaseEntry` proxy.
 * Updated version in the title.
 * Moved the changelog to the new `CHANGELOG.md`.

# 1.6.0
 * Fixed possible save file corruption when using extended save flags.
 * Fixed the code for getting global tracked stats and maximums not working as intended with extended playable characters enum.
 * Added the UI table back to `ETGMod.Databases.Strings` and made it actually work.
 * Fixed `ETGMod.Assets.TextureMap` having the wrong names *again*.
 * Made `ETGMod.Databases.Items.Add()` (the gun version) no longer be obsolete.

# 1.5.8
 * Hopefully fixed the `ETGMod.Assets.TextureMap` having the wrong names for the keys which caused sprite trimming to not work correctly.
 * Added the E key to the debug log that clears all messages except exceptions.
 * Removed `ETGMod.Databases.Strings.UITable` as it wasn't working.

# 1.5.7
 * ACTUALLY fixed switching language breaking modded item names.

# 1.5.6
 * Fixed switching language breaking modded item names.

# 1.5.5
 * MTG API now recognizes `.jtk2d` files as sprite definition metadata files, because `.json` files are recognized as config files by mod managers.

# 1.5.3
 * Fixed outlines breaking when using spritesheet replacements.
 * Made the console also log to the BepInEx console window.
 * Fixed various other problems with sprite replacements.

# 1.5.2
 * Fixed some sprite replacements not working, now you can enjoy your hunter recolors in peace.

# 1.5.1
 * Fixed more backwards compatibility issues.
 * Updated version in the title.
 * Made `DungeonStart()` actually work (don't worry i've improved the code for it so it shouldn't cause issues).

# 1.5.0
 * Fixed backwards some compatibility issues.
 * Added new overridable methods to `GunBehaviour`.

# 1.4.1
 * Fixed enums and guids potentially corrupting savefiles.
 * Improved name to id conversion system.

# 1.4.0
 * Added documentation.
 * Added enum extensions.
 * Added shared data.
 * Removed some unused or stupid methods.
 * Other changes.

# 1.3.0
 * Updated SGUI to the latest version thanks to KubeRoot.

# 1.2.2
 * Updated links *once more*.
 * Hopefully made the enabled mods menu bigger.
 * Updated version in the title screen.

# 1.2.1
 * Updated links.
 * Added credits section.
 * Restructured the page a little.
 * Added a dependency on BepInEx Pack.

# 1.2.0
 * Fixed the debug clear command, improved the console clear command and added a new debug key that clears all of the debug log, even errors.

# 1.1.3
 * Hopefully fixed the `Newtonsoft.Json` issue.

# 1.1.2
 * Updated the plugin version so that it displays correctly in the title screen.

# 1.1.1
 * Fixed the thumbnail to actually display the correct version.

# 1.1.0
 * Big update.

# 1.0.1
 * Fixed `TextureMap` being removed.

# 1.0.0
 * Release.